Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Peter Zijlstra <[email-masked]>
Date: Wed, 14 Dec 2011 16:13:05 +0100

On Wed, 2011-12-14 at 07:03 -0800, Greg KH wrote:

> I'll remove the use of kfree in the WARN_ON(), which should solve this
> problem.

The alternative is that we introduce something like CONFIG_KREF_DEBUG
and out-of-line the functions in that case while also adding more debug
checks. Alexey recently proposed a refcnt.h thing that almost does what
kref does but has different debug checks.